Bug 187952 - cman attempts wrong broadcast domain for port 6809 traffic
cman attempts wrong broadcast domain for port 6809 traffic
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cman (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Christine Caulfield
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-04 16:23 EDT by Rorry Jones
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-08 09:52:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
attachments as described in Description (ifcfg-eth*, cluster.conf, route, etc) (5.18 KB, text/plain)
2006-04-04 16:23 EDT, Rorry Jones
no flags Details

  None (edit)
Description Rorry Jones 2006-04-04 16:23:03 EDT
Description of problem:
When cman starts (either via the cman service or through 'cman_tool -t 120 -w
join') it will broadcast on the wrong network (on a box with more than one NIC.)
The computer is directly connected to a network (172.19.0.0/32) that another
cluster node is also on.  When parsing the file (/etc/cluster/cluster.conf) and
in subsequent communication attempts, this node only attemptes to contact other
cluster members on its OTHER network (192.168.0.0/32) (ifconfig output,
/etc/sysconfig/network-scripts/ifcfg-eth* and cluster.conf provided as
attachments.)  Computer t2 is on networks: 172.16.0.0/16 and 172.19.0.0/16. 
Computer t3 is on networks: 192.168.0.0/16 and 172.19.0.0/16.  DNS resolution is
complete for both forward and reverse look-ups on both t2 and t3.

Version-Release number of selected component (if applicable):
GFS-kernel-smp     2.6.11.8-20050601.152643.FC4.25 
cman-kernel-smp    2.6.11.5-20050601.152643.FC4.23  
dlm-kernel-smp     2.6.11.5-20050601.152643.FC4.22 
gnbd-kernel-smp    2.6.11.2-20050420.133124.FC4.58  
kernel-smp         2.6.16-1.2069_FC4  
kernel-smp-devel   2.6.16-1.2069_FC4

How reproducible:
always (from the same side of the cluster - t3)

Steps to Reproduce:
1. start cman

  
Actual results:
cman reports quorum but only after timing out past its 120 second limit. 
Tcpdump reports broadcast messages on port 6809 to 192.168.255.255 (rather than
on its configured cluster.conf network)

Expected results:
broadcast messages on port 6809 to 172.19.255.255

Additional info:
I can provide strace info if required...
Comment 1 Rorry Jones 2006-04-04 16:23:03 EDT
Created attachment 127312 [details]
attachments as described in Description (ifcfg-eth*, cluster.conf, route, etc)
Comment 2 Rorry Jones 2006-04-04 16:25:56 EDT
in original description networks labeled as 172.19.0.0/32 and 192.168.0.0/32
should have both been /16's not /32's.
Comment 3 Christine Caulfield 2006-09-22 03:49:58 EDT
Can you tell me what t3.m_clust & t2.m_clust resolve to?

It's those names that cman will use when it determines which interface to bind to.
Comment 4 Christine Caulfield 2006-10-26 10:14:30 EDT
Is this still a problem or shall I close this bug ?

Note You need to log in before you can comment on or make changes to this bug.